struts-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (Jira)" <j...@apache.org>
Subject [jira] [Commented] (WW-5075) Upgrade OSGi to the latest version
Date Fri, 28 Aug 2020 12:04:00 GMT

    [ https://issues.apache.org/jira/browse/WW-5075?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17186492#comment-17186492
] 

ASF subversion and git services commented on WW-5075:
-----------------------------------------------------

Commit cb3ca4b3111474a309a50b644e0c43095e9367b5 in struts's branch refs/heads/master from
JCgH4164838Gh792C124B5
[ https://gitbox.apache.org/repos/asf?p=struts.git;h=cb3ca4b ]

Initial attempt to fix OSGi Plugin issues discovered during examination of
WW-5075.
- Draws on PR#427 and utilizes similar code, but updated for JDK8.
- Updated OSGi plugin dependencies to OSGi R7.
- Indication is that the OSGi Plugin has been failing since Struts 2.3.4.
- Applied fix to ResourceFinder to restore 2.3.x logic that was broken in
  2.5.x.
- Implemented changes to restore OSGi Plugin functionality for 2.6.x.
- Applied changes to the OSGi Admin Bundle to function under 2.6.x.
- Applied changes to the OSGi Demo Bundle to function under 2.6.x.
- Updated the OSGi Admin Bundle JS libraries and related CSS to newer
  versions.
- Added new unit tests for the OSGi plugin.
- The OSGi plugin will only function properly with exploded/expanded WAR
  files.
- BundlePackageLoader changes suggested by L. Lenart (from PR#427).
- FelixOsgiHost changes to better handle Felix bundle cache location
  processing (Windows and Linux).
- FelixOsgIHost test modified to not fail if felix-cache directory
  cannot be created (warn only) to avoid failing the whole build.
- FelixOsgIHost test modified to not fail if felix-cache directory
  bundle load issues arise (warn only) to avoid failing the whole build.


> Upgrade OSGi to the latest version
> ----------------------------------
>
>                 Key: WW-5075
>                 URL: https://issues.apache.org/jira/browse/WW-5075
>             Project: Struts 2
>          Issue Type: Dependency
>          Components: Plugin - OSGi
>            Reporter: Lukasz Lenart
>            Priority: Major
>             Fix For: 2.5.24, 2.6
>
>          Time Spent: 3h
>  Remaining Estimate: 0h
>
> Currently the OSGi plugin is using
> {code:xml}
>         <dependency>
>             <groupId>org.osgi</groupId>
>             <artifactId>org.osgi.core</artifactId>
>             <version>4.3.1</version>
>         </dependency>
> {code}
> but there is a new version 6.0.0



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message